import java.util.*;
import java.math.*;
public class Zadatak1 {

    public static void main(String[] args) {

        Scanner a = new Scanner(System.in);
        int K=a.nextInt();
        int h=K+2;
        for(int i=0;i<=h;i++){
            System.out.println("0 "+i);
        }
        

    }
}